Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have installed ubuntu studio 14.04 lately, i am learning modern opengl, when I use GLSL with #version 330 core shader program send error that only opengl up to 130 is supported but seems mesa can run GL 3.3, also from info of my pc with kde info and glxinfo both says opengl 3.0, I wonder why!

i have amd ati hd 5450 and this is output of glxinfo

OpenGL vendor string: X.Org
OpenGL renderer string: Gallium 0.4 on AMD CEDAR
OpenGL core profile version string: 3.3 (Core Profile) Mesa 10.1.0
OpenGL core profile shading language version string: 3.30
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.0 Mesa 10.1.0
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions:

i am using glfw for window and glew for gl.

share|improve this question
    
Are you creating a 3.3 context? –  CoffeeandCode Jun 10 at 11:28
    
Yes I used core 330 and profile in GLFW3 –  daniel Jun 17 at 6:14
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.